//From https://loading.io/css/
@keyframes loading {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.loader {
  display: flex;
  justify-content: center;
  align-items: center;

  &__ring {
    display: block;
    width: 80px;
    height: 80px;

    div {
      position: absolute;
      width: 64px;
      height: 64px;
      margin: 8px;
      border: 8px solid $color-green;
      border-radius: 50%;
      animation: loading 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
      border-color: $color-green transparent transparent transparent;

      &:nth-child(1) {
        animation-delay: -0.45s;
      }

      &:nth-child(2) {
        animation-delay: -0.3s;
      }

      &:nth-child(3) {
        animation-delay: -0.15s;
      }
    }
  }

  &:not(.loader--inline) {
    position: fixed;
    inset: 0;
    z-index: $zindex-popup;
    background-color: transparentize($color: $color-black, $amount: 0.5);
  }
}

